var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import React from 'react';
import ArrayField from 'react-jsonschema-form/lib/components/fields/ArrayField';
import { getWidget, getUiOptions, optionsList, retrieveSchema, getDefaultRegistry } from './utils';
class ArrayFieldPatched extends ArrayField {
    renderMultiSelect() {
        const { schema, idSchema, uiSchema, formData, disabled, readonly, autofocus, onBlur, onFocus, registry = getDefaultRegistry(), rawErrors, } = this.props;
        const items = this.props.formData;
        const { widgets, definitions, formContext } = registry;
        const itemsSchema = retrieveSchema(schema.items, definitions, formData);
        const enumOptions = optionsList(itemsSchema);
        const _a = Object.assign(Object.assign({}, getUiOptions(uiSchema)), { enumOptions }), { widget = 'select' } = _a, options = __rest(_a, ["widget"]);
        const Widget = getWidget(schema, widget, widgets);
        return (React.createElement(Widget, { id: idSchema && idSchema.$id, multiple: true, onChange: this.onSelectChange, onBlur: onBlur, onFocus: onFocus, options: options, schema: schema, value: items, disabled: disabled, readonly: readonly, formContext: formContext, autofocus: autofocus, rawErrors: rawErrors }));
    }
}
export default ArrayFieldPatched;
//# sourceMappingURL=ArrayField.js.map