// import Form from 'react-jsonschema-form/lib';
import { getDefaultRegistry } from './utils';
import Form from '../../src/index';
export default class FormPatch extends Form {
    getRegistry() {
        const { fields, widgets } = getDefaultRegistry();
        return {
            fields: Object.assign(Object.assign({}, fields), this.props.fields),
            widgets: Object.assign(Object.assign({}, widgets), this.props.widgets),
            ArrayFieldTemplate: this.props.ArrayFieldTemplate,
            ObjectFieldTemplate: this.props.ObjectFieldTemplate,
            FieldTemplate: this.props.FieldTemplate,
            definitions: this.props.schema.definitions || {},
            formContext: this.props.formContext || {},
        };
    }
}
//# sourceMappingURL=Form.js.map