"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = require("react");
const antd_1 = require("antd");
const formList_1 = require("./formList");
const openFormList = (data, onSelect) => {
    const modal = antd_1.Modal.info({
        icon: null,
        content: (react_1.default.createElement(formList_1.default, { onSelect: args => {
                onSelect(args);
                modal.destroy();
            }, data: data })),
        width: 600,
        onOk: () => modal.destroy()
    });
};
exports.default = openFormList;
//# sourceMappingURL=openFormList.js.map