"use strict";
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = require("react");
const ArrayField_1 = require("react-jsonschema-form/lib/components/fields/ArrayField");
const utils_1 = require("./utils");
class ArrayFieldPatched extends ArrayField_1.default {
    renderMultiSelect() {
        const { schema, idSchema, uiSchema, formData, disabled, readonly, autofocus, onBlur, onFocus, registry = utils_1.getDefaultRegistry(), rawErrors, } = this.props;
        const items = this.props.formData;
        const { widgets, definitions, formContext } = registry;
        const itemsSchema = utils_1.retrieveSchema(schema.items, definitions, formData);
        const enumOptions = utils_1.optionsList(itemsSchema);
        const _a = Object.assign(Object.assign({}, utils_1.getUiOptions(uiSchema)), { enumOptions }), { widget = 'select' } = _a, options = __rest(_a, ["widget"]);
        const Widget = utils_1.getWidget(schema, widget, widgets);
        return (react_1.default.createElement(Widget, { id: idSchema && idSchema.$id, multiple: true, onChange: this.onSelectChange, onBlur: onBlur, onFocus: onFocus, options: options, schema: schema, value: items, disabled: disabled, readonly: readonly, formContext: formContext, autofocus: autofocus, rawErrors: rawErrors }));
    }
}
exports.default = ArrayFieldPatched;
//# sourceMappingURL=ArrayField.js.map