"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const SchemaField_1 = require("react-jsonschema-form/lib/components/fields/SchemaField");
const antd_1 = require("antd");
class PatchedSchemaField extends SchemaField_1.default {
    componentDidCatch(error, info) {
        antd_1.notification.error({
            message: `Error: ${this.props.idSchema.$id}`,
            description: error.toString(),
            duration: 0,
        });
    }
}
exports.default = PatchedSchemaField;
//# sourceMappingURL=SchemaField.js.map