"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = require("react");
const react_redux_1 = require("react-redux");
const JsonEditor_1 = require("../JsonEditor");
exports.default = react_redux_1.connect(({ tree: { present: [{ uiSchema }], }, }) => ({ uiSchema }), (dispatch) => ({
    setTree: (uiSchema) => dispatch({
        type: 'TREE_SET_TREE',
        payload: {
            uiSchema,
        },
    }),
}))(({ uiSchema, setTree }) => react_1.default.createElement(JsonEditor_1.default, { value: uiSchema, onChange: (value) => setTree(value), autosize: true }));
//# sourceMappingURL=UiSchemaView.js.map