import React from 'react';
import { Modal } from 'antd';
import FormList from './formList';
const openFormList = (data, onSelect) => {
    const modal = Modal.info({
        icon: null,
        content: (React.createElement(FormList, { onSelect: args => {
                onSelect(args);
                modal.destroy();
            }, data: data })),
        width: 600,
        onOk: () => modal.destroy()
    });
};
export default openFormList;
//# sourceMappingURL=openFormList.js.map