"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
// import Form from 'react-jsonschema-form/lib';
const utils_1 = require("./utils");
const index_1 = require("../../src/index");
class FormPatch extends index_1.default {
    getRegistry() {
        const { fields, widgets } = utils_1.getDefaultRegistry();
        return {
            fields: Object.assign(Object.assign({}, fields), this.props.fields),
            widgets: Object.assign(Object.assign({}, widgets), this.props.widgets),
            ArrayFieldTemplate: this.props.ArrayFieldTemplate,
            ObjectFieldTemplate: this.props.ObjectFieldTemplate,
            FieldTemplate: this.props.FieldTemplate,
            definitions: this.props.schema.definitions || {},
            formContext: this.props.formContext || {},
        };
    }
}
exports.default = FormPatch;
//# sourceMappingURL=Form.js.map