"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = require("react");
const react_redux_1 = require("react-redux");
const JsonEditor_1 = require("../JsonEditor");
exports.default = react_redux_1.connect(({ tree: { present: [{ schema }], }, }) => ({ schema }), (dispatch) => ({
    setTree: (schema) => dispatch({
        type: 'TREE_SET_TREE',
        payload: {
            schema,
        },
    }),
}))(({ schema, setTree }) => react_1.default.createElement(JsonEditor_1.default, { value: schema, onChange: (value) => setTree(value), autosize: true }));
//# sourceMappingURL=SchemaView.js.map